Package tigase.collections

## Class CircularFifoQueue<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractQueue<E>
    - - tigase.collections.CircularFifoQueue<E>

- All Implemented Interfaces:
    `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.Queue<E>`

      public class CircularFifoQueue<E>
      extends java.util.AbstractQueue<E>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CircularFifoQueue​(int maxEntries, java.util.function.Consumer<E> overflowConsumer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(E e)` |
    `boolean` | `addAll​(java.util.Collection<? extends E> c)` |
    `java.util.Iterator<E>` | `iterator()` |
    `int` | `limit()` |
    `boolean` | `offer​(E element)` |
    `E` | `peek()` |
    `E` | `poll()` |
    `boolean` | `setLimit​(int limit)` |
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractQueue

      `clear, element, remove`

    - ### Methods inherited from class java.util.AbstractCollection

      `contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `contains, containsAll, equals, hashCode, isEmpty, parallelStream, remove, removeAll, removeIf, retainAll, spliterator, stream, toArray, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### CircularFifoQueue

          public CircularFifoQueue​(int maxEntries,
                                   java.util.function.Consumer<E> overflowConsumer)

  - ### Method Detail

    - #### add

          public boolean add​(E e)

      Specified by:
        `add` in interface `java.util.Collection<E>`
      Specified by:
        `add` in interface `java.util.Queue<E>`
      Overrides:
        `add` in class `java.util.AbstractQueue<E>`

    - #### addAll

          public boolean addAll​(java.util.Collection<? extends E> c)

      Specified by:
        `addAll` in interface `java.util.Collection<E>`
      Overrides:
        `addAll` in class `java.util.AbstractQueue<E>`

    - #### iterator

          public java.util.Iterator<E> iterator()

      Specified by:
        `iterator` in interface `java.util.Collection<E>`
      Specified by:
        `iterator` in interface `java.lang.Iterable<E>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<E>`

    - #### limit

          public int limit()

    - #### offer

          public boolean offer​(E element)

    - #### peek

          public E peek()

    - #### poll

          public E poll()

    - #### setLimit

          public boolean setLimit​(int limit)

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<E>`
      Specified by:
        `size` in class `java.util.AbstractCollection<E>`